package net.wanji.web.mapper.scheme;

import io.lettuce.core.dynamic.annotation.Param;
import net.wanji.web.po.scheme.CrossAccompanyPhasePO;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author Kent HAN
 * @date 2023/1/11 17:25
 */
@Repository
public interface CrossAccompanyPhaseMapper {
    void deleteByCrossId(@Param("crossId") String crossId);

    void insertBatch(@Param("entities") List<CrossAccompanyPhasePO> entities);

    List<Integer> selectByPhaseId(@Param("phaseId") Integer phaseId);
}
